# Default values for webgis-default.masterportal_settings.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: {{ default.masterportal_settings.replicaCount}}

image:
  registry: {{ default.masterportal_settings.image_registry }}
  repository: {{ default.masterportal_settings.image_repository }}
  tag: {{ tag }}
  pullPolicy: {{ default.masterportal_settings.image_pullPolicy }}

imagePullSecrets: [{"name": "gitlab-registry"}]
nameOverride: ""
fullnameOverride: ""
mapserverURL: "https://{{ default.masterportal_settings.ingress_host }}/mapserver"
portalBackend: "{{ portalBackend }}"
geoportalURL: "{{ geoportalURL }}"
proxy3dUrl: "https://{{ default.masterportal_settings.ingress_host }}/proxy_3d_content"
geoserverURL: "https://geoportal.{{ inv_gd.domain }}/geoserver"
oidc_auth_endpoint: "https://idm.{{ DOMAIN }}/auth/realms/{{ inv_idm.keycloak.realm_name }}/protocol/openid-connect/auth"
oidc_token_endpoint: "https://idm.{{ DOMAIN }}/auth/realms/{{ inv_idm.keycloak.realm_name }}/protocol/openid-connect/token"
oidc_client: "{{ default.IDM_CLIENT.MASTERPORTAL_PUBLIC }}"
oidc_redirect_url: "{{ oidc_redirect_url }}"
oidcScope: "profile email openid"
portalBaseURL: "https://geoportal.{{ inv_gd.domain }}/"

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

deploymentAnnotations: 
  keel.sh/policy: force
  keel.sh/match-tag: "true"
  keel.sh/trigger: poll
  keel.sh/pollSchedule: "@every 5m"  

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: {{ default.masterportal_settings.service_type }}
  port: {{ default.masterportal_settings.service_port }}

ingress:
  enabled: {{ default.masterportal_settings.ingress_enabled }}
  annotations:
    kubernetes.io/ingress.class: "{{ inv_k8s.ingress_class }}"
    kubernetes.io/tls-acme: "true"
    nginx.ingress.kubernetes.io/app-root: /webgis-masterportal
    nginx.ingress.kubernetes.io/auth-url: "https://oauth.{{ gd_oauth_app_name }}.{{ DOMAIN }}/oauth2/auth"
    nginx.ingress.kubernetes.io/auth-signin: "https://oauth.{{ gd_oauth_app_name }}.{{ DOMAIN }}/oauth2/start?rd=https://$host$request_uri"
    nginx.ingress.kubernetes.io/auth-response-headers: X-Auth-Request-User,X-Auth-Request-Email

  hosts:
    - host: {{ default.masterportal_settings.ingress_host }}
      paths:
        - path: {{ default.masterportal_settings.ingress_host_path }}

  tls:
    - secretName: {{ default.masterportal_settings.ingress_tls_secret }}
      hosts:
        - {{ default.masterportal_settings.ingress_host }}

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}
